> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pool Tokens Info by Pool Address

> To query pool metadata (base and quote token details, image, socials, websites, description, contract address, etc.) based on a provided pool contract address on a network

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Learn more about [GT Score](https://support.coingecko.com/hc/en-us/articles/38381394237593-What-is-GT-Score-How-is-GT-Score-calculated) and [GT Verified](https://support.coingecko.com/hc/en-us/articles/54413671274649-What-is-GT-Verified-Badge).
* `holders` data is currently in Beta, with ongoing improvements to coverage and update frequency.
  <Accordion title="Supported networks">
    | Chain     | Network `id`  |
    | --------- | ------------- |
    | Solana    | `solana`      |
    | Ethereum  | `eth`         |
    | Base      | `base`        |
    | BNB Chain | `bsc`         |
    | Optimism  | `optimism`    |
    | Arbitrum  | `arbitrum`    |
    | Polygon   | `polygon_pos` |
    | TON       | `ton`         |
    | Sui       | `sui-network` |
    | Robinhood | `robinhood`   |
    | Ronin     | `ronin`       |
    | Bittensor | `bittensor`   |
  </Accordion>
  * `distribution_percentage` coverage:
    * Solana: `top_10`, `11_20`, `21_40`, `rest`
    * Other chains: `top_10`, `11_30`, `31_50`, `rest`
* Bonding curve tokens (non-graduated launchpad tokens) include a `launchpad_details` object with graduation status.

<Warning>
  Metadata (image, websites, description, socials) may be sourced on-chain and is not vetted by the CoinGecko team.<br />
  For CoinGecko-reviewed metadata, use [Coin Data by ID](/demo/reference/coins-id) or [Coin Data by Token Address](/demo/reference/coins-contract-address).
</Warning>

<Tip>
  For pool market data (price, transactions, volume), use [Specific Pool Data](/demo/reference/pool-address) instead.
</Tip>

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.networks.pools.info.get('8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt', {
    network: 'solana',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.networks.pools.info.get(
    "8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt",
    network="solana",
  )

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /onchain/networks/{network}/pools/{pool_address}/info
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/networks/{network}/pools/{pool_address}/info:
    get:
      summary: Pool Tokens Info by Pool Address
      description: >-
        To query pool metadata (base and quote token details, image, socials,
        websites, description, contract address, etc.) based on a provided pool
        contract address on a network
      operationId: pool-token-info-contract-address
      parameters:
        - name: network
          in: path
          required: true
          description: |-
            Network ID. 
            *refers to [`/onchain/networks`](/reference/networks-list).
          schema:
            type: string
            default: solana
        - name: pool_address
          in: path
          required: true
          description: Pool contract address.
          schema:
            type: string
            default: 8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt
        - name: include
          in: query
          required: false
          description: Attributes to include.
          schema:
            type: string
            enum:
              - pool
      responses:
        '200':
          description: Pool tokens info data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolTokensInfo'
              example:
                data:
                  - id: solana_So11111111111111111111111111111111111111112
                    type: token
                    attributes:
                      address: So11111111111111111111111111111111111111112
                      name: Wrapped SOL
                      symbol: SOL
                      decimals: 9
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/21629/large/solana.jpg?1696520989
                      banner_image_url: null
                      coingecko_coin_id: wrapped-solana
                      gt_score: 88.9908256880734
                      gt_verified: true
                      mint_authority: 'no'
                      freeze_authority: 'no'
                      is_honeypot: unknown
                      developer_address: null
                      developer_holding_percentage: null
                    relationships:
                      pool:
                        data:
                          id: solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt
                          type: pool
                  - id: solana_Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump
                    type: token
                    attributes:
                      address: Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump
                      name: Pippin
                      symbol: pippin
                      decimals: 6
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/51589/large/pippin_logo.png?1731570163
                      banner_image_url: >-
                        https://assets.geckoterminal.com/kn680ou6904r03syp0ecu52ihy9c
                      coingecko_coin_id: pippin
                      gt_score: 86.54440366972477
                      gt_verified: true
                      mint_authority: 'no'
                      freeze_authority: 'no'
                      is_honeypot: unknown
                      developer_address: 4t7dHZcUzNC96d79won5TRZsvwP1bumhPNf3awR5BHdu
                      developer_holding_percentage: '0.0'
                    relationships:
                      pool:
                        data:
                          id: solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt
                          type: pool
                included:
                  - id: solana_8WwcNqdZjCY5Pt7AkhupAFknV2txca9sq6YBkGzLbvdt
                    type: pool
                    attributes:
                      base_token_address: Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump
                      quote_token_address: So11111111111111111111111111111111111111112
                      sentiment_vote_positive_percentage: 0
                      sentiment_vote_negative_percentage: 0
                      community_sus_report: 27
components:
  schemas:
    PoolTokensInfo:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/TokenInfoItem'
              - type: object
                required:
                  - relationships
                properties:
                  relationships:
                    type: object
                    properties:
                      pool:
                        type: object
                        properties:
                          data:
                            type: object
                            properties:
                              id:
                                type: string
                              type:
                                type: string
        included:
          type: array
          description: Included pool data, present when include=pool is specified
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  base_token_address:
                    type: string
                    description: Base token contract address
                  quote_token_address:
                    type: string
                    description: Quote token contract address
                  quote_token_addresses:
                    type: array
                    description: >-
                      Quote token contract addresses, present for pools with
                      more than 2 tokens
                    items:
                      type: string
                  sentiment_vote_positive_percentage:
                    type: number
                    description: GeckoTerminal community positive sentiment vote percentage
                  sentiment_vote_negative_percentage:
                    type: number
                    description: GeckoTerminal community negative sentiment vote percentage
                  community_sus_report:
                    type: integer
                    description: GeckoTerminal community suspicious reports count
    TokenInfoItem:
      type: object
      required:
        - id
        - type
        - attributes
      properties:
        id:
          type: string
          description: Token identifier
        type:
          type: string
          description: Resource type
        attributes:
          type: object
          required:
            - address
            - name
            - symbol
            - decimals
            - image_url
            - image
            - banner_image_url
            - coingecko_coin_id
            - websites
            - discord_url
            - farcaster_url
            - zora_url
            - telegram_handle
            - twitter_handle
            - description
            - gt_score
            - gt_score_details
            - gt_verified
            - categories
            - gt_category_ids
            - holders
            - mint_authority
            - freeze_authority
            - is_honeypot
            - developer_address
            - developer_holding_percentage
          properties:
            address:
              type: string
              description: Token contract address
            name:
              type: string
              description: Token name
            symbol:
              type: string
              description: Token symbol
            decimals:
              type: integer
              description: Token decimals
            image_url:
              type: string
              nullable: true
              description: Token image URL
            image:
              type: object
              description: Token image URLs in different sizes
              properties:
                thumb:
                  type: string
                small:
                  type: string
                large:
                  type: string
            banner_image_url:
              type: string
              nullable: true
              description: Token banner image URL
            coingecko_coin_id:
              type: string
              nullable: true
              description: CoinGecko coin ID
            websites:
              type: array
              description: Token websites
              items:
                type: string
            discord_url:
              type: string
              nullable: true
              description: Discord URL
            farcaster_url:
              type: string
              nullable: true
              description: Farcaster URL
            zora_url:
              type: string
              nullable: true
              description: Zora URL
            telegram_handle:
              type: string
              nullable: true
              description: Telegram handle
            twitter_handle:
              type: string
              nullable: true
              description: Twitter handle
            description:
              type: string
              nullable: true
              description: Token description
            gt_score:
              type: number
              description: GeckoTerminal trust score
            gt_score_details:
              type: object
              description: GeckoTerminal trust score breakdown
              properties:
                pool:
                  type: number
                transaction:
                  type: number
                creation:
                  type: number
                info:
                  type: number
                holders:
                  type: number
            gt_verified:
              type: boolean
              description: Whether the token is verified on GeckoTerminal
            categories:
              type: array
              description: Token categories
              items:
                type: string
            gt_category_ids:
              type: array
              description: GeckoTerminal category IDs
              items:
                type: string
            holders:
              type: object
              description: Token holder information
              properties:
                count:
                  type: integer
                  description: Number of holders
                distribution_percentage:
                  type: object
                  description: >-
                    Holder distribution percentage (keys vary by chain, e.g.
                    top_10, 11_30, 31_50, rest)
                  additionalProperties:
                    type: string
                last_updated:
                  type: string
                  description: Last updated timestamp
            mint_authority:
              type: string
              nullable: true
              description: Mint authority status
            freeze_authority:
              type: string
              nullable: true
              description: Freeze authority status
            is_honeypot:
              oneOf:
                - type: boolean
                - type: string
              description: Whether the token is a honeypot (boolean or 'unknown')
            developer_address:
              type: string
              nullable: true
              description: Developer wallet address
            developer_holding_percentage:
              type: string
              nullable: true
              description: Developer holding as a percentage of total supply
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````